#import "FlutterAndroidCertSignPlugin.h"

@implementation FlutterAndroidCertSignPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"flutter_android_cert_sign"
            binaryMessenger:[registrar messenger]];
  FlutterAndroidCertSignPlugin* instance = [[FlutterAndroidCertSignPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getCertSign" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  }else   if ([@"getLibSoList" isEqualToString:call.method]) {
   result([@""]);
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
